%global upstream_name lfrsgse-3.0-3

Name:           lfrsgse
Version:        3.0
Release:        3%{?dist}
Summary:        Solar Orbiter's LFR software GSE.
Group:          System Environment/Libraries
License:        LGPLv2
URL:            https://hephaistos.lpp.polytechnique.fr
Source0:        https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/688/%{upstream_name}.tar.gz
BuildRequires:  socexplorer-devel
BuildRequires:  lib-LFR-paul-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  fftw-devel


Requires(post): qt5-qtbase
Requires(post): qt5-qtwebkit
Requires(post): qt5-qtsvg
Requires(post): qt5-qtxmlpatterns

%description
Solar Orbiter's LFR software GSE.

%prep
%setup -q -n %{upstream_name}

%build
%{_qt5_qmake} 

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
   /usr/bin/lfrsgse
   /usr/share/LFRSGSE/icon.png
   /usr/share/applications/lfrsgse.desktop

%changelog
* Wed Oct 7  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- Updated to revision r12:5c88eeb0b8b5.
* Thu Oct 1  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- Updated to revision r8:af3777d44046.
* Tue Jun 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- Updated to revision r4:9d15e8721536.
- now compatible with LFR flight software revision 3.
* Tue Mar 17 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- Updated to version 2.0.0.4 r3:45eb6af1b6d5.
* Thu Feb 05 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- Updated to version 2.0.0.3.
* Mon Dec 22 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- First package.
